import { neon } from '@neondatabase/serverless';
import { drizzle } from 'drizzle-orm/neon-http';

// src/neon-http.ts
function createNeonHttpClient(opts) {
  const sql = neon(opts.connectionString);
  return drizzle(sql, { schema: opts.schema });
}

export { createNeonHttpClient };
